Error

- « ErrorException::getSeverity

- Error::__construct »

- PHP Manual
- Predefined Exceptions
- Error

# Error

(PHP 7, PHP 8)

## Introduction

Error is the base class for all internal PHP errors.

## Class synopsis

class Error implements Throwable {
/* Properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Methods */
public __construct(string `$message` = "", int `$code` = 0, ?Throwable `$previous` = `null`)
final public getMessage(): string
final public getPrevious(): ?Throwable
final public getCode(): int
final public getFile(): string
final public getLine(): int
final public getTrace(): array
final public getTraceAsString(): string
public __toString(): string
private __clone(): void
}

## Properties

message

  The error message

code

  The error code

file

  The filename where the error happened

line

  The line where the error happened

previous

  The previously thrown exception

string

  The string representation of the stack trace

trace

  The stack trace as an array

## Table of Contents

- Error::__construct — Construct the error object
- Error::getMessage — Gets the error message
- Error::getPrevious — Returns previous Throwable
- Error::getCode — Gets the error code
- Error::getFile — Gets the file in which the error occurred
- Error::getLine — Gets the line in which the error occurred
- Error::getTrace — Gets the stack trace
- Error::getTraceAsString — Gets the stack trace as a string
- Error::__toString — String representation of the error
- Error::__clone — Clone the error